package com.xxl.job.executor.material.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.xxl.job.executor.common.entity.CtopOauthToken;
import com.xxl.job.executor.material.entity.ByteDanceCreative;

import java.util.List;
import java.util.Map;

/**
 * @Description: 今日头条创意信息
 * @Author: jeecg-boot
 * @Date: 2019-07-22
 * @Version: V1.0
 */
public interface IByteDanceCreativeService extends IService<ByteDanceCreative> {

    Map<String, Object> creativeCreate(String accountId, Long campaignId, JSONObject data);

    Map<String, Object> getAdvertiserCreative(CtopOauthToken token, String ids, String date);

    Map<String, Object> advertiserCreativeUpdateStatus(Long accountId, String creativeIds, String optStatus);

    void replaceBatch(List<ByteDanceCreative> creatives);

    Map<String, Object> getCreativeDetail(CtopOauthToken token, Long planId);

    Map<String,Object> updateCreative(JSONObject data);

    Map<String,Object> getCreativeRejectReason(Long accountId, Long creativeId);

    Map<String, Object> batchCreate(JSONObject data);
}
